Friday, August 01, 2008

Visual Studio 2005 Extensions for WCF and WPF not available after installing Visual Studio 2008

WCF It’s a fact, Microsoft wants you to use the 2008 version of Visual Studio rather than 2005. But what if you are in a big project, not ready to change the IDE, yet, and you want to install VS2008 to test the new features? They say everything works fine but the true is you loose an important extension: Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF).

The problem is that you can’t install them because you have .net 3.5 installed so googling around I found a pretty useful post from Timur.

Just locate the installer with your Visual Studio 2005 command line and execute the following command:
msiexec /i vsextwfx.msi WRC_INSTALLED_OVERRIDE=1

I don’t know what’s going on with that package cause the site where it used to be available to download from is no longer available, so if you need it I uploaded to my SkyDrive account. Download it from here.

Edit: I also found it here, as I mentioned in my comment below.

2 comments:

John said...

Thanks Seba! This post saved me a ton of time.

Sebastian said...

you're welcome!

Now I also found the package here
http://www.download.com/The-Visual-Studio-2005-extensions-for-NET-Framework-3-0-WCF-WPF-November-2006-CTP/3000-10250_4-10727672.html